Package csb :: Package statistics :: Package samplers :: Class EnsembleState

[frames] | no frames]

# Class EnsembleState

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseCollectionContainer --+
                                   |
                      object --+   |
                               |   |
                   AbstractState --+
                                   |
                                  EnsembleState

Defines an Ensemble Monte Carlo state; it is a read-only collection of State objects.

Nested Classes
Inherited from `AbstractState`: `__metaclass__`

Instance Methods

__init__(self, items) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `core.BaseCollectionContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| momentum
| position
Inherited from `core.BaseCollectionContainer`: `last_index`, `length`, `start_index` Inherited from `object`: `__class__`

Method Details

### __init__(self, items)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` (list of States) - initialization list of states
Overrides: object.__init__
  (inherited documentation)

Property Details

### momentum

Get Method:
  unreachable.momentum(self)

### position

Get Method:
  unreachable.position(self)